### Method

# ECal Component get_status

since: 3.34

#### Declaration [src]

    ICalPropertyStatus
    e_cal_component_get_status (
      ECalComponent* comp
    )

#### Description [src]

Queries the status property of a calendar component object.

Available since: 3.34

#### Return value

Type: `ICalPropertyStatus`

The status value; or `I_CAL_STATUS_NONE`, if the component has no status property.